com.unitech.lib.uhf.types

## Enum PowerSavingMode

- java.lang.Object
- - java.lang.Enum<PowerSavingMode>
  - - com.unitech.lib.uhf.types.PowerSavingMode

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<PowerSavingMode>

      public enum PowerSavingMode
      extends java.lang.Enum<PowerSavingMode>
      implements IEnumType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AlwaysOn`
    `Saving`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `java.lang.String` | `toString()` Return the name of the enum
    `static PowerSavingMode` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static PowerSavingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PowerSavingMode` | `valueOfName(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PowerSavingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Saving

          public static final PowerSavingMode Saving

    - #### AlwaysOn

          public static final PowerSavingMode AlwaysOn

  - ### Method Detail

    - #### values

          public static PowerSavingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PowerSavingMode c : PowerSavingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PowerSavingMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<PowerSavingMode>`
      Returns:
        The name of the enum

    - #### valueOf

          public static PowerSavingMode valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static PowerSavingMode valueOfName(java.lang.String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.